org.hibernate.search.cfg

## Class IndexedMapping

- java.lang.Object
- - org.hibernate.search.cfg.IndexedMapping

-     public class IndexedMapping
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IndexedMapping(SearchMapping mapping, EntityDescriptor entity)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `AnalyzerDefMapping` | `analyzerDef(String name, Class<? extends TokenizerFactory> tokenizerFactory)`
    `AnalyzerDefMapping` | `analyzerDef(String name, String tokenizerName, Class<? extends TokenizerFactory> tokenizerFactory)`
    `IndexedMapping` | `analyzerDiscriminator(Class<? extends Discriminator> discriminator)`
    `IndexedMapping` | `boost(float boost)`
    `IndexedMapping` | `cacheFromIndex(FieldCacheType... type)` Deprecated. This will be removed with no replacement.
    `IndexedClassBridgeMapping` | `classBridge(Class<?> impl)`
    `IndexedClassBridgeMapping` | `classBridgeInstance(FieldBridge instance)` Registers the given class bridge for the currently configured entity type.
    `IndexedMapping` | `dynamicBoost(Class<? extends BoostStrategy> impl)` Deprecated. Index-time boosting will not be possible anymore starting from Lucene 7. You should use query-time boosting instead, for instance by calling `boostedTo(float)` when building queries with the Hibernate Search query DSL.
    `EntityMapping` | `entity(Class<?> entityType)`
    `FullTextFilterDefMapping` | `fullTextFilterDef(String name, Class<?> impl)`
    `IndexedMapping` | `indexName(String indexName)`
    `IndexedMapping` | `interceptor(Class<? extends EntityIndexingInterceptor> interceptor)`
    `NormalizerDefMapping` | `normalizerDef(String name)`
    `PropertyMapping` | `property(String name, ElementType type)`
    `ProvidedIdMapping` | `providedId()`
    `EntitySpatialMapping` | `spatial()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IndexedMapping

          public IndexedMapping(SearchMapping mapping,
                                EntityDescriptor entity)

  - ### Method Detail

    - #### indexName

          public IndexedMapping indexName(String indexName)

    - #### interceptor

          public IndexedMapping interceptor(Class<? extends EntityIndexingInterceptor> interceptor)

    - #### cacheFromIndex

          @Deprecated
          public IndexedMapping cacheFromIndex(FieldCacheType... type)

      Deprecated. This will be removed with no replacement.
      This feature will be removed, with no replacement as caching fields is no longer effective.
      Parameters:
        `type` - this argument will be ignored
      Returns:
        `this` for method chaining

    - #### boost

          public IndexedMapping boost(float boost)

    - #### dynamicBoost

          @Deprecated
          public IndexedMapping dynamicBoost(Class<? extends BoostStrategy> impl)

      Deprecated. Index-time boosting will not be possible anymore starting from Lucene 7. You should use query-time boosting instead, for instance by calling `boostedTo(float)` when building queries with the Hibernate Search query DSL.
      Parameters:
        `impl` - The class for an implementation of `BoostStrategy`.
      Returns:
        this mapping, for chained calls.

    - #### analyzerDiscriminator

          public IndexedMapping analyzerDiscriminator(Class<? extends Discriminator> discriminator)

    - #### classBridge

          public IndexedClassBridgeMapping classBridge(Class<?> impl)

    - #### classBridgeInstance

          public IndexedClassBridgeMapping classBridgeInstance(FieldBridge instance)

      Registers the given class bridge for the currently configured entity type. Any subsequent analyzer, parameter etc. configurations apply to this class bridge.
      Parameters:
        `instance` - a class bridge instance
      Returns:
        a new `ClassBridgeMapping` following the method chaining pattern
      Throws:
        `SearchException` - in case the same bridge instance is passed more than once for the currently configured entity type
      Experimental
        This method is considered experimental and it may be altered or removed in future releases

    - #### fullTextFilterDef

          public FullTextFilterDefMapping fullTextFilterDef(String name,
                                                            Class<?> impl)

    - #### property

          public PropertyMapping property(String name,
                                          ElementType type)

    - #### analyzerDef

          public AnalyzerDefMapping analyzerDef(String name,
                                                Class<? extends TokenizerFactory> tokenizerFactory)

    - #### analyzerDef

          public AnalyzerDefMapping analyzerDef(String name,
                                                String tokenizerName,
                                                Class<? extends TokenizerFactory> tokenizerFactory)

    - #### normalizerDef

          public NormalizerDefMapping normalizerDef(String name)

    - #### entity

          public EntityMapping entity(Class<?> entityType)

    - #### providedId

          public ProvidedIdMapping providedId()

    - #### spatial

          public EntitySpatialMapping spatial()

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved